Subject: RE: bug#29420: 26.0; doc of `list-packages'

From: Drew Adams <[email-masked]>
Date: Fri, 24 Nov 2017 09:02:46 -0800 (PST)

> > `C-h f list-packages' should give you a better description of the
> > display that results.  It wouldn't hurt to succinctly describe each
> > column.
> 
> I added the list of columns.

Thanks.

> > `C-h r g package menu' should give you a better description.
> > It should describe each column of the display.
> 
> It does that already.

It does, but the next sentence details the problem
with that description: nothing about `dependency',
for example (dunno whether there are other problems
with the columns description).
 
> > It could describe column `status' better, for instance.  Apparently
> > one of the possible values is `dependency', but that is not
> > mentioned.
> 
> Patches to improve the documentation of package.el in the manual are
> most welcome.  I generally find its documentation inadequate and
> outdated, and tried to improve that as best I could, but I don't know
> enough about it to do a better job, and apparently (and sadly) no one
> else is interested.

I know (and likely care) less about the package system
than you.  Neither of us is well placed, probably, to
help much in this regard.

I do appreciate your attempts to solicit strong doc
along with new developments.  The package system
slipped between the cracks to some extent in this
regard, I guessed.  A guess is that when a large
set of code gets developed outside Emacs first
it can get added to Emacs all at once, and the doc
isn't necessarily gone over with a fine-tooth comb,
in spite of your best efforts.

I agree that it would be great if Someone (TM) gave
the package.el doc some more attention.

> Thanks.

Thank you.